# Form implementation generated from reading ui file 'src/eric7/Debugger/StartHistoryEditDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_StartHistoryEditDialog(object):
    def setupUi(self, StartHistoryEditDialog):
        StartHistoryEditDialog.setObjectName("StartHistoryEditDialog")
        StartHistoryEditDialog.resize(600, 400)
        StartHistoryEditDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(StartHistoryEditDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.historyList = QtWidgets.QListWidget(parent=StartHistoryEditDialog)
        self.historyList.setAlternatingRowColors(True)
        self.historyList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.historyList.setObjectName("historyList")
        self.gridLayout.addWidget(self.historyList, 0, 0, 5, 1)
        self.editButton = QtWidgets.QPushButton(parent=StartHistoryEditDialog)
        self.editButton.setObjectName("editButton")
        self.gridLayout.addWidget(self.editButton, 0, 1, 1, 1)
        self.line = QtWidgets.QFrame(parent=StartHistoryEditDialog)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.gridLayout.addWidget(self.line, 1, 1, 1, 1)
        self.deleteButton = QtWidgets.QPushButton(parent=StartHistoryEditDialog)
        self.deleteButton.setObjectName("deleteButton")
        self.gridLayout.addWidget(self.deleteButton, 2, 1, 1, 1)
        self.deleteAllButton = QtWidgets.QPushButton(parent=StartHistoryEditDialog)
        self.deleteAllButton.setObjectName("deleteAllButton")
        self.gridLayout.addWidget(self.deleteAllButton, 3, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridLayout.addItem(spacerItem, 4, 1, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=StartHistoryEditDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(StartHistoryEditDialog)
        self.buttonBox.accepted.connect(StartHistoryEditDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(StartHistoryEditDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(StartHistoryEditDialog)

    def retranslateUi(self, StartHistoryEditDialog):
        _translate = QtCore.QCoreApplication.translate
        StartHistoryEditDialog.setWindowTitle(_translate("StartHistoryEditDialog", "Edit History"))
        self.editButton.setToolTip(_translate("StartHistoryEditDialog", "Press to edit the selected entry"))
        self.editButton.setText(_translate("StartHistoryEditDialog", "Edit..."))
        self.deleteButton.setToolTip(_translate("StartHistoryEditDialog", "Press to delete the selected entries"))
        self.deleteButton.setText(_translate("StartHistoryEditDialog", "Delete Selected"))
        self.deleteAllButton.setToolTip(_translate("StartHistoryEditDialog", "Press to delete all entries"))
        self.deleteAllButton.setText(_translate("StartHistoryEditDialog", "Delete All"))
